# -*- coding: utf-8 -*-
from setuphelpers import *
import requests


def update_package():
    # Declaring local variables
    result = False
    proxies = get_proxies()
    if not proxies:
        proxies = get_proxies_from_wapt_console()
    url = "https://www.glarysoft.com/aff/download.php?s=GU"

    download_url = requests.head(url, allow_redirects=True).url
    latest_bin = download_url.split("/")[-1]

    print("Download URL is: %s" % download_url)

    # Downloading latest binaries
    print("Downloading: %s" % latest_bin)
    wget(download_url, latest_bin, proxies=proxies)
    version = get_version_from_binary(latest_bin)
    control.version = "%s-%s" % (Version(version), control.version.split("-", 1)[-1])

    # control.set_software_version(version)
    control.save_control_to_wapt()

    # Deleting outdated binaries
    remove_outdated_binaries(version)

    # Validating or not update-package-sources
    return result
